"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@knapsack/types");
const vue_1 = require("vue");
const { importedModules, allAvailableImports, getPatternImport } = (0, types_1.getKsRendererClientGlobal)();
const components = allAvailableImports.reduce((cur, { importInfo: { name, path } }) => {
    const it = importedModules[path];
    cur[name] = (0, vue_1.defineAsyncComponent)(it);
    return cur;
}, {});
const el = document.getElementById('render-root');
if (!el) {
    const msg = 'Could not find element with id "render-root" in order to render Vue component';
    console.error(msg);
    const msgEl = document.createElement('div');
    msgEl.innerHTML = msg;
    document.body.appendChild(msgEl);
}
else {
    const app = (0, vue_1.createApp)({
        components,
    });
    app.mount('#render-root');
    el.removeAttribute('style');
    // just for debugging & curiousity
    window.ksVueApp = app;
}
//# sourceMappingURL=renderer-vue-client.js.map