import { KnapsackRendererWebpackBase } from '@knapsack/renderer-webpack-base';
import type { KnapsackRenderParams, KnapsackTemplateRenderer, KnapsackTemplateRendererResults, KnapsackTemplateRendererBase } from '@knapsack/app/types';
import { KsJsImport } from '@knapsack/types';
export declare class KnapsackVueRenderer extends KnapsackRendererWebpackBase implements KnapsackTemplateRenderer {
    skipWebpackAlter: boolean;
    constructor({ webpackConfig, skipWebpackAlter, }?: {
        webpackConfig?: ConstructorParameters<typeof KnapsackRendererWebpackBase>[0]['webpackConfig'];
        /**
         * Setting to `true` prevents the Webpack config being altered in any way.
         * You are fully responsible for setting up `vue-loader` how you'd like.
         * @link https://vue-loader.vuejs.org
         */
        skipWebpackAlter?: boolean;
    });
    createWebpackConfig(): ReturnType<KnapsackRendererWebpackBase['createWebpackConfig']>;
    changeCase(str: string): string;
    render(opt: KnapsackRenderParams): Promise<KnapsackTemplateRendererResults>;
    getUsage(opt: KnapsackRenderParams): Promise<string>;
    getUsageAndImports(opt: KnapsackRenderParams): Promise<{
        usage: string;
        imports: KsJsImport[];
    }>;
    getTemplateSuggestions(): ReturnType<KnapsackTemplateRendererBase['getTemplateSuggestions']>;
    getMeta: KnapsackTemplateRendererBase['getMeta'];
    inferSpec: KnapsackTemplateRendererBase['inferSpec'];
}
//# sourceMappingURL=renderer-vue.d.ts.map